import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  AutoScalingClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../AutoScalingClient";
import {
  AttachTrafficSourcesResultType,
  AttachTrafficSourcesType,
} from "../models/models_0";
export { __MetadataBearer, $Command };
export interface AttachTrafficSourcesCommandInput
  extends AttachTrafficSourcesType {}
export interface AttachTrafficSourcesCommandOutput
  extends AttachTrafficSourcesResultType,
    __MetadataBearer {}
export declare class AttachTrafficSourcesCommand extends $Command<
  AttachTrafficSourcesCommandInput,
  AttachTrafficSourcesCommandOutput,
  AutoScalingClientResolvedConfig
> {
  readonly input: AttachTrafficSourcesCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: AttachTrafficSourcesCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: AutoScalingClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    AttachTrafficSourcesCommandInput,
    AttachTrafficSourcesCommandOutput
  >;
  private serialize;
  private deserialize;
}
