import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  AutoScalingClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../AutoScalingClient";
import {
  CompleteLifecycleActionAnswer,
  CompleteLifecycleActionType,
} from "../models/models_0";
export { __MetadataBearer, $Command };
export interface CompleteLifecycleActionCommandInput
  extends CompleteLifecycleActionType {}
export interface CompleteLifecycleActionCommandOutput
  extends CompleteLifecycleActionAnswer,
    __MetadataBearer {}
export declare class CompleteLifecycleActionCommand extends $Command<
  CompleteLifecycleActionCommandInput,
  CompleteLifecycleActionCommandOutput,
  AutoScalingClientResolvedConfig
> {
  readonly input: CompleteLifecycleActionCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: CompleteLifecycleActionCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: AutoScalingClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    CompleteLifecycleActionCommandInput,
    CompleteLifecycleActionCommandOutput
  >;
  private serialize;
  private deserialize;
}
