import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  AutoScalingClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../AutoScalingClient";
import { LaunchConfigurationNameType } from "../models/models_0";
export { __MetadataBearer, $Command };
export interface DeleteLaunchConfigurationCommandInput
  extends LaunchConfigurationNameType {}
export interface DeleteLaunchConfigurationCommandOutput
  extends __MetadataBearer {}
export declare class DeleteLaunchConfigurationCommand extends $Command<
  DeleteLaunchConfigurationCommandInput,
  DeleteLaunchConfigurationCommandOutput,
  AutoScalingClientResolvedConfig
> {
  readonly input: DeleteLaunchConfigurationCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: DeleteLaunchConfigurationCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: AutoScalingClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    DeleteLaunchConfigurationCommandInput,
    DeleteLaunchConfigurationCommandOutput
  >;
  private serialize;
  private deserialize;
}
