import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  AutoScalingClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../AutoScalingClient";
import {
  DescribeScheduledActionsType,
  ScheduledActionsType,
} from "../models/models_0";
export { __MetadataBearer, $Command };
export interface DescribeScheduledActionsCommandInput
  extends DescribeScheduledActionsType {}
export interface DescribeScheduledActionsCommandOutput
  extends ScheduledActionsType,
    __MetadataBearer {}
export declare class DescribeScheduledActionsCommand extends $Command<
  DescribeScheduledActionsCommandInput,
  DescribeScheduledActionsCommandOutput,
  AutoScalingClientResolvedConfig
> {
  readonly input: DescribeScheduledActionsCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: DescribeScheduledActionsCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: AutoScalingClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    DescribeScheduledActionsCommandInput,
    DescribeScheduledActionsCommandOutput
  >;
  private serialize;
  private deserialize;
}
