import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  AutoScalingClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../AutoScalingClient";
import {
  RecordLifecycleActionHeartbeatAnswer,
  RecordLifecycleActionHeartbeatType,
} from "../models/models_0";
export { __MetadataBearer, $Command };
export interface RecordLifecycleActionHeartbeatCommandInput
  extends RecordLifecycleActionHeartbeatType {}
export interface RecordLifecycleActionHeartbeatCommandOutput
  extends RecordLifecycleActionHeartbeatAnswer,
    __MetadataBearer {}
export declare class RecordLifecycleActionHeartbeatCommand extends $Command<
  RecordLifecycleActionHeartbeatCommandInput,
  RecordLifecycleActionHeartbeatCommandOutput,
  AutoScalingClientResolvedConfig
> {
  readonly input: RecordLifecycleActionHeartbeatCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: RecordLifecycleActionHeartbeatCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: AutoScalingClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    RecordLifecycleActionHeartbeatCommandInput,
    RecordLifecycleActionHeartbeatCommandOutput
  >;
  private serialize;
  private deserialize;
}
